if(ThingsToDo2 == nil) then
	ThingsToDo2 = {}
end
local ttd2 = ThingsToDo2

if(ttd2.lib == nil) then
	ttd2.lib = {}
end
local lib = ttd2.lib

if(ttd2.option == nil) then
	ttd2.option = {}
end
local option = ttd2.option

if(ttd2.mod == nil) then
	ttd2.mod = {}
end
local mod = ttd2.mod

--this module
ttd2.BFAIslandStatus = {}
local this = ttd2.BFAIslandStatus
this.name = "BFAIslandStatus"

this.private = { set = false }

function this.private.Validate()
	if(this.private.set == false) then
		this.private.Init()
	end
	
	return
end

function this.private.Init()
	if(this.private.set) then
		return
	end
	
	this.private.quest = nil
	
	local faction = UnitFactionGroup("player")
	if(faction == "Alliance") then
		this.private.quest = 53436
	else
		this.private.quest = 53435
	end
	
	lib.quest.AddByID(this.private.quest,true)
	
	return
end

function this.Update()
	this.private.Validate()
	
	local out = lib.chat.output
	out.ClearBuffer()
	
	lib.quest.UpdateByID(this.private.quest)
	local Quest = lib.quest.GetByID(this.private.quest)
	
	if(UnitLevel("player") < 120) then
		out.StoreTodo("Get to "..lib.chat.yellow("level 120").." to access "..Quest.Link)
		return
	end	
	
	if(Quest.isCompleted == true) then
		out.StoreCompleted(Quest.Objectives[1])
	else
		out.StoreTodo(Quest.Objectives[1])
	end
	
	return
end

function this.Print()
	this.private.Validate()
	
	local out = lib.chat.output
	out.PrintModule(this.name)
	
	return
end

this.private.Text = this.name
function this.private.Script()
	this.private.Validate()
	
	this.Update()
	this.Print()
	
	return
end

mod[#mod+1] =
{
	Text = this.private.Text,
	Script = this.private.Script
}
